Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional.source
Class AbstractSymbolSourceProviderFactory

    java.lang.Object
      org.eclipse.jst.jsf.context.symbol.internal.provisional.source.AbstractSymbolSourceProviderFactory

All Implemented Interfaces:
  ISymbolSourceProviderFactory

public abstract class AbstractSymbolSourceProviderFactory
extends java.lang.Object
implements ISymbolSourceProviderFactory

Default implementation of ISymbolSourceProviderFactory. Implementors may sub-class or create their own separate factory class.

Constructor Summary
`AbstractSymbolSourceProviderFactory()` Default constructor used by extension manager to create this factory

Method Summary
`protected abstract ISymbolSourceProvider` | `create(org.eclipse.core.resources.IProject project)` Override this method to do specialization of provider creation
`ISymbolSourceProvider` | `createInstance(org.eclipse.core.resources.IProject project)`
`protected org.eclipse.core.resources.IProject` | `getProject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSymbolSourceProviderFactory

    public AbstractSymbolSourceProviderFactory()

  Default constructor used by extension manager to create this factory

Method Detail

### createInstance

    public final ISymbolSourceProvider createInstance(org.eclipse.core.resources.IProject project)

  Specified by:
    `createInstance` in interface `ISymbolSourceProviderFactory`
  Parameters:
    `project` -
  Returns:
    a new instance of a symbol source provider for project

### create

    protected abstract ISymbolSourceProvider create(org.eclipse.core.resources.IProject project)

  Override this method to do specialization of provider creation

  Parameters:
    `project` -
  Returns:
    the symbol source provider created by the subclass

### getProject

    protected final org.eclipse.core.resources.IProject getProject()

  Returns:
    the IProject that this source provider is associated with.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD